Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_08.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_008_001_08 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_001_08

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification4Choice` `createAccountIdentification4Choice()` Create an instance of `AccountIdentification4Choice`
`AccountSchemeName1Choice` `createAccountSchemeName1Choice()` Create an instance of `AccountSchemeName1Choice`
`ActiveOrHistoricCurrencyAndAmount` `createActiveOrHistoricCurrencyAndAmount()` Create an instance of `ActiveOrHistoricCurrencyAndAmount`
`AddressType3Choice` `createAddressType3Choice()` Create an instance of `AddressType3Choice`
`AmendmentInformationDetails13` `createAmendmentInformationDetails13()` Create an instance of `AmendmentInformationDetails13`
`Authorisation1Choice` `createAuthorisation1Choice()` Create an instance of `Authorisation1Choice`
`BranchAndFinancialInstitutionIdentification6` `createBranchAndFinancialInstitutionIdentification6()` Create an instance of `BranchAndFinancialInstitutionIdentification6`
`BranchData3` `createBranchData3()` Create an instance of `BranchData3`
`CashAccount38` `createCashAccount38()` Create an instance of `CashAccount38`
`CashAccountType2Choice` `createCashAccountType2Choice()` Create an instance of `CashAccountType2Choice`
`CategoryPurpose1Choice` `createCategoryPurpose1Choice()` Create an instance of `CategoryPurpose1Choice`
`ClearingSystemIdentification2Choice` `createClearingSystemIdentification2Choice()` Create an instance of `ClearingSystemIdentification2Choice`
`ClearingSystemMemberIdentification2` `createClearingSystemMemberIdentification2()` Create an instance of `ClearingSystemMemberIdentification2`
`Contact4` `createContact4()` Create an instance of `Contact4`
`CreditorReferenceInformation2` `createCreditorReferenceInformation2()` Create an instance of `CreditorReferenceInformation2`
`CreditorReferenceType1Choice` `createCreditorReferenceType1Choice()` Create an instance of `CreditorReferenceType1Choice`
`CreditorReferenceType2` `createCreditorReferenceType2()` Create an instance of `CreditorReferenceType2`
`CustomerDirectDebitInitiationV08` `createCustomerDirectDebitInitiationV08()` Create an instance of `CustomerDirectDebitInitiationV08`
`DateAndPlaceOfBirth1` `createDateAndPlaceOfBirth1()` Create an instance of `DateAndPlaceOfBirth1`
`DatePeriod2` `createDatePeriod2()` Create an instance of `DatePeriod2`
`DirectDebitTransaction10` `createDirectDebitTransaction10()` Create an instance of `DirectDebitTransaction10`
`DirectDebitTransactionInformation23` `createDirectDebitTransactionInformation23()` Create an instance of `DirectDebitTransactionInformation23`
`DiscountAmountAndType1` `createDiscountAmountAndType1()` Create an instance of `DiscountAmountAndType1`
`DiscountAmountType1Choice` `createDiscountAmountType1Choice()` Create an instance of `DiscountAmountType1Choice`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`DocumentAdjustment1` `createDocumentAdjustment1()` Create an instance of `DocumentAdjustment1`
`DocumentLineIdentification1` `createDocumentLineIdentification1()` Create an instance of `DocumentLineIdentification1`
`DocumentLineInformation1` `createDocumentLineInformation1()` Create an instance of `DocumentLineInformation1`
`DocumentLineType1` `createDocumentLineType1()` Create an instance of `DocumentLineType1`
`DocumentLineType1Choice` `createDocumentLineType1Choice()` Create an instance of `DocumentLineType1Choice`
`FinancialIdentificationSchemeName1Choice` `createFinancialIdentificationSchemeName1Choice()` Create an instance of `FinancialIdentificationSchemeName1Choice`
`FinancialInstitutionIdentification18` `createFinancialInstitutionIdentification18()` Create an instance of `FinancialInstitutionIdentification18`
`Frequency36Choice` `createFrequency36Choice()` Create an instance of `Frequency36Choice`
`FrequencyAndMoment1` `createFrequencyAndMoment1()` Create an instance of `FrequencyAndMoment1`
`FrequencyPeriod1` `createFrequencyPeriod1()` Create an instance of `FrequencyPeriod1`
`Garnishment3` `createGarnishment3()` Create an instance of `Garnishment3`
`GarnishmentType1` `createGarnishmentType1()` Create an instance of `GarnishmentType1`
`GarnishmentType1Choice` `createGarnishmentType1Choice()` Create an instance of `GarnishmentType1Choice`
`GenericAccountIdentification1` `createGenericAccountIdentification1()` Create an instance of `GenericAccountIdentification1`
`GenericFinancialIdentification1` `createGenericFinancialIdentification1()` Create an instance of `GenericFinancialIdentification1`
`GenericIdentification30` `createGenericIdentification30()` Create an instance of `GenericIdentification30`
`GenericOrganisationIdentification1` `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1` `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
`GroupHeader83` `createGroupHeader83()` Create an instance of `GroupHeader83`
`LocalInstrument2Choice` `createLocalInstrument2Choice()` Create an instance of `LocalInstrument2Choice`
`MandateRelatedInformation14` `createMandateRelatedInformation14()` Create an instance of `MandateRelatedInformation14`
`MandateSetupReason1Choice` `createMandateSetupReason1Choice()` Create an instance of `MandateSetupReason1Choice`
`NameAndAddress16` `createNameAndAddress16()` Create an instance of `NameAndAddress16`
`OrganisationIdentification29` `createOrganisationIdentification29()` Create an instance of `OrganisationIdentification29`
`OrganisationIdentificationSchemeName1Choice` `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OtherContact1` `createOtherContact1()` Create an instance of `OtherContact1`
`Party38Choice` `createParty38Choice()` Create an instance of `Party38Choice`
`PartyIdentification135` `createPartyIdentification135()` Create an instance of `PartyIdentification135`
`PaymentIdentification6` `createPaymentIdentification6()` Create an instance of `PaymentIdentification6`
`PaymentInstruction29` `createPaymentInstruction29()` Create an instance of `PaymentInstruction29`
`PaymentTypeInformation29` `createPaymentTypeInformation29()` Create an instance of `PaymentTypeInformation29`
`PersonIdentification13` `createPersonIdentification13()` Create an instance of `PersonIdentification13`
`PersonIdentificationSchemeName1Choice` `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
`PostalAddress24` `createPostalAddress24()` Create an instance of `PostalAddress24`
`ProxyAccountIdentification1` `createProxyAccountIdentification1()` Create an instance of `ProxyAccountIdentification1`
`ProxyAccountType1Choice` `createProxyAccountType1Choice()` Create an instance of `ProxyAccountType1Choice`
`Purpose2Choice` `createPurpose2Choice()` Create an instance of `Purpose2Choice`
`ReferredDocumentInformation7` `createReferredDocumentInformation7()` Create an instance of `ReferredDocumentInformation7`
`ReferredDocumentType3Choice` `createReferredDocumentType3Choice()` Create an instance of `ReferredDocumentType3Choice`
`ReferredDocumentType4` `createReferredDocumentType4()` Create an instance of `ReferredDocumentType4`
`RegulatoryAuthority2` `createRegulatoryAuthority2()` Create an instance of `RegulatoryAuthority2`
`RegulatoryReporting3` `createRegulatoryReporting3()` Create an instance of `RegulatoryReporting3`
`RemittanceAmount2` `createRemittanceAmount2()` Create an instance of `RemittanceAmount2`
`RemittanceAmount3` `createRemittanceAmount3()` Create an instance of `RemittanceAmount3`
`RemittanceInformation16` `createRemittanceInformation16()` Create an instance of `RemittanceInformation16`
`RemittanceLocation7` `createRemittanceLocation7()` Create an instance of `RemittanceLocation7`
`RemittanceLocationData1` `createRemittanceLocationData1()` Create an instance of `RemittanceLocationData1`
`ServiceLevel8Choice` `createServiceLevel8Choice()` Create an instance of `ServiceLevel8Choice`
`StructuredRegulatoryReporting3` `createStructuredRegulatoryReporting3()` Create an instance of `StructuredRegulatoryReporting3`
`StructuredRemittanceInformation16` `createStructuredRemittanceInformation16()` Create an instance of `StructuredRemittanceInformation16`
`SupplementaryData1` `createSupplementaryData1()` Create an instance of `SupplementaryData1`
`SupplementaryDataEnvelope1` `createSupplementaryDataEnvelope1()` Create an instance of `SupplementaryDataEnvelope1`
`TaxAmount2` `createTaxAmount2()` Create an instance of `TaxAmount2`
`TaxAmountAndType1` `createTaxAmountAndType1()` Create an instance of `TaxAmountAndType1`
`TaxAmountType1Choice` `createTaxAmountType1Choice()` Create an instance of `TaxAmountType1Choice`
`TaxAuthorisation1` `createTaxAuthorisation1()` Create an instance of `TaxAuthorisation1`
`TaxInformation7` `createTaxInformation7()` Create an instance of `TaxInformation7`
`TaxInformation8` `createTaxInformation8()` Create an instance of `TaxInformation8`
`TaxParty1` `createTaxParty1()` Create an instance of `TaxParty1`
`TaxParty2` `createTaxParty2()` Create an instance of `TaxParty2`
`TaxPeriod2` `createTaxPeriod2()` Create an instance of `TaxPeriod2`
`TaxRecord2` `createTaxRecord2()` Create an instance of `TaxRecord2`
`TaxRecordDetails2` `createTaxRecordDetails2()` Create an instance of `TaxRecordDetails2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_008_001_08

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification4Choice

    public AccountIdentification4Choice createAccountIdentification4Choice()

Create an instance of `AccountIdentification4Choice`

#### createAccountSchemeName1Choice

    public AccountSchemeName1Choice createAccountSchemeName1Choice()

Create an instance of `AccountSchemeName1Choice`

#### createActiveOrHistoricCurrencyAndAmount

    public ActiveOrHistoricCurrencyAndAmount createActiveOrHistoricCurrencyAndAmount()

Create an instance of `ActiveOrHistoricCurrencyAndAmount`

#### createAddressType3Choice

    public AddressType3Choice createAddressType3Choice()

Create an instance of `AddressType3Choice`

#### createAmendmentInformationDetails13

    public AmendmentInformationDetails13 createAmendmentInformationDetails13()

Create an instance of `AmendmentInformationDetails13`

#### createAuthorisation1Choice

    public Authorisation1Choice createAuthorisation1Choice()

Create an instance of `Authorisation1Choice`

#### createBranchAndFinancialInstitutionIdentification6

    public BranchAndFinancialInstitutionIdentification6 createBranchAndFinancialInstitutionIdentification6()

Create an instance of `BranchAndFinancialInstitutionIdentification6`

#### createBranchData3

    public BranchData3 createBranchData3()

Create an instance of `BranchData3`

#### createCashAccount38

    public CashAccount38 createCashAccount38()

Create an instance of `CashAccount38`

#### createCashAccountType2Choice

    public CashAccountType2Choice createCashAccountType2Choice()

Create an instance of `CashAccountType2Choice`

#### createCategoryPurpose1Choice

    public CategoryPurpose1Choice createCategoryPurpose1Choice()

Create an instance of `CategoryPurpose1Choice`

#### createClearingSystemIdentification2Choice

    public ClearingSystemIdentification2Choice createClearingSystemIdentification2Choice()

Create an instance of `ClearingSystemIdentification2Choice`

#### createClearingSystemMemberIdentification2

    public ClearingSystemMemberIdentification2 createClearingSystemMemberIdentification2()

Create an instance of `ClearingSystemMemberIdentification2`

#### createContact4

    public Contact4 createContact4()

Create an instance of `Contact4`

#### createCreditorReferenceInformation2

    public CreditorReferenceInformation2 createCreditorReferenceInformation2()

Create an instance of `CreditorReferenceInformation2`

#### createCreditorReferenceType1Choice

    public CreditorReferenceType1Choice createCreditorReferenceType1Choice()

Create an instance of `CreditorReferenceType1Choice`

#### createCreditorReferenceType2

    public CreditorReferenceType2 createCreditorReferenceType2()

Create an instance of `CreditorReferenceType2`

#### createCustomerDirectDebitInitiationV08

    public CustomerDirectDebitInitiationV08 createCustomerDirectDebitInitiationV08()

Create an instance of `CustomerDirectDebitInitiationV08`

#### createDateAndPlaceOfBirth1

    public DateAndPlaceOfBirth1 createDateAndPlaceOfBirth1()

Create an instance of `DateAndPlaceOfBirth1`

#### createDatePeriod2

    public DatePeriod2 createDatePeriod2()

Create an instance of `DatePeriod2`

#### createDirectDebitTransaction10

    public DirectDebitTransaction10 createDirectDebitTransaction10()

Create an instance of `DirectDebitTransaction10`

#### createDirectDebitTransactionInformation23

    public DirectDebitTransactionInformation23 createDirectDebitTransactionInformation23()

Create an instance of `DirectDebitTransactionInformation23`

#### createDiscountAmountAndType1

    public DiscountAmountAndType1 createDiscountAmountAndType1()

Create an instance of `DiscountAmountAndType1`

#### createDiscountAmountType1Choice

    public DiscountAmountType1Choice createDiscountAmountType1Choice()

Create an instance of `DiscountAmountType1Choice`

#### createDocumentAdjustment1

    public DocumentAdjustment1 createDocumentAdjustment1()

Create an instance of `DocumentAdjustment1`

#### createDocumentLineIdentification1

    public DocumentLineIdentification1 createDocumentLineIdentification1()

Create an instance of `DocumentLineIdentification1`

#### createDocumentLineInformation1

    public DocumentLineInformation1 createDocumentLineInformation1()

Create an instance of `DocumentLineInformation1`

#### createDocumentLineType1

    public DocumentLineType1 createDocumentLineType1()

Create an instance of `DocumentLineType1`

#### createDocumentLineType1Choice

    public DocumentLineType1Choice createDocumentLineType1Choice()

Create an instance of `DocumentLineType1Choice`

#### createFinancialIdentificationSchemeName1Choice

    public FinancialIdentificationSchemeName1Choice createFinancialIdentificationSchemeName1Choice()

Create an instance of `FinancialIdentificationSchemeName1Choice`

#### createFinancialInstitutionIdentification18

    public FinancialInstitutionIdentification18 createFinancialInstitutionIdentification18()

Create an instance of `FinancialInstitutionIdentification18`

#### createFrequency36Choice

    public Frequency36Choice createFrequency36Choice()

Create an instance of `Frequency36Choice`

#### createFrequencyAndMoment1

    public FrequencyAndMoment1 createFrequencyAndMoment1()

Create an instance of `FrequencyAndMoment1`

#### createFrequencyPeriod1

    public FrequencyPeriod1 createFrequencyPeriod1()

Create an instance of `FrequencyPeriod1`

#### createGarnishment3

    public Garnishment3 createGarnishment3()

Create an instance of `Garnishment3`

#### createGarnishmentType1

    public GarnishmentType1 createGarnishmentType1()

Create an instance of `GarnishmentType1`

#### createGarnishmentType1Choice

    public GarnishmentType1Choice createGarnishmentType1Choice()

Create an instance of `GarnishmentType1Choice`

#### createGenericAccountIdentification1

    public GenericAccountIdentification1 createGenericAccountIdentification1()

Create an instance of `GenericAccountIdentification1`

#### createGenericFinancialIdentification1

    public GenericFinancialIdentification1 createGenericFinancialIdentification1()

Create an instance of `GenericFinancialIdentification1`

#### createGenericIdentification30

    public GenericIdentification30 createGenericIdentification30()

Create an instance of `GenericIdentification30`

#### createGenericOrganisationIdentification1

    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

Create an instance of `GenericOrganisationIdentification1`

#### createGenericPersonIdentification1

    public GenericPersonIdentification1 createGenericPersonIdentification1()

Create an instance of `GenericPersonIdentification1`

#### createGroupHeader83

    public GroupHeader83 createGroupHeader83()

Create an instance of `GroupHeader83`

#### createLocalInstrument2Choice

    public LocalInstrument2Choice createLocalInstrument2Choice()

Create an instance of `LocalInstrument2Choice`

#### createMandateRelatedInformation14

    public MandateRelatedInformation14 createMandateRelatedInformation14()

Create an instance of `MandateRelatedInformation14`

#### createMandateSetupReason1Choice

    public MandateSetupReason1Choice createMandateSetupReason1Choice()

Create an instance of `MandateSetupReason1Choice`

#### createNameAndAddress16

    public NameAndAddress16 createNameAndAddress16()

Create an instance of `NameAndAddress16`

#### createOrganisationIdentification29

    public OrganisationIdentification29 createOrganisationIdentification29()

Create an instance of `OrganisationIdentification29`

#### createOrganisationIdentificationSchemeName1Choice

    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

Create an instance of `OrganisationIdentificationSchemeName1Choice`

#### createOtherContact1

    public OtherContact1 createOtherContact1()

Create an instance of `OtherContact1`

#### createParty38Choice

    public Party38Choice createParty38Choice()

Create an instance of `Party38Choice`

#### createPartyIdentification135

    public PartyIdentification135 createPartyIdentification135()

Create an instance of `PartyIdentification135`

#### createPaymentIdentification6

    public PaymentIdentification6 createPaymentIdentification6()

Create an instance of `PaymentIdentification6`

#### createPaymentInstruction29

    public PaymentInstruction29 createPaymentInstruction29()

Create an instance of `PaymentInstruction29`

#### createPaymentTypeInformation29

    public PaymentTypeInformation29 createPaymentTypeInformation29()

Create an instance of `PaymentTypeInformation29`

#### createPersonIdentification13

    public PersonIdentification13 createPersonIdentification13()

Create an instance of `PersonIdentification13`

#### createPersonIdentificationSchemeName1Choice

    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

Create an instance of `PersonIdentificationSchemeName1Choice`

#### createPostalAddress24

    public PostalAddress24 createPostalAddress24()

Create an instance of `PostalAddress24`

#### createProxyAccountIdentification1

    public ProxyAccountIdentification1 createProxyAccountIdentification1()

Create an instance of `ProxyAccountIdentification1`

#### createProxyAccountType1Choice

    public ProxyAccountType1Choice createProxyAccountType1Choice()

Create an instance of `ProxyAccountType1Choice`

#### createPurpose2Choice

    public Purpose2Choice createPurpose2Choice()

Create an instance of `Purpose2Choice`

#### createReferredDocumentInformation7

    public ReferredDocumentInformation7 createReferredDocumentInformation7()

Create an instance of `ReferredDocumentInformation7`

#### createReferredDocumentType3Choice

    public ReferredDocumentType3Choice createReferredDocumentType3Choice()

Create an instance of `ReferredDocumentType3Choice`

#### createReferredDocumentType4

    public ReferredDocumentType4 createReferredDocumentType4()

Create an instance of `ReferredDocumentType4`

#### createRegulatoryAuthority2

    public RegulatoryAuthority2 createRegulatoryAuthority2()

Create an instance of `RegulatoryAuthority2`

#### createRegulatoryReporting3

    public RegulatoryReporting3 createRegulatoryReporting3()

Create an instance of `RegulatoryReporting3`

#### createRemittanceAmount2

    public RemittanceAmount2 createRemittanceAmount2()

Create an instance of `RemittanceAmount2`

#### createRemittanceAmount3

    public RemittanceAmount3 createRemittanceAmount3()

Create an instance of `RemittanceAmount3`

#### createRemittanceInformation16

    public RemittanceInformation16 createRemittanceInformation16()

Create an instance of `RemittanceInformation16`

#### createRemittanceLocation7

    public RemittanceLocation7 createRemittanceLocation7()

Create an instance of `RemittanceLocation7`

#### createRemittanceLocationData1

    public RemittanceLocationData1 createRemittanceLocationData1()

Create an instance of `RemittanceLocationData1`

#### createServiceLevel8Choice

    public ServiceLevel8Choice createServiceLevel8Choice()

Create an instance of `ServiceLevel8Choice`

#### createStructuredRegulatoryReporting3

    public StructuredRegulatoryReporting3 createStructuredRegulatoryReporting3()

Create an instance of `StructuredRegulatoryReporting3`

#### createStructuredRemittanceInformation16

    public StructuredRemittanceInformation16 createStructuredRemittanceInformation16()

Create an instance of `StructuredRemittanceInformation16`

#### createSupplementaryData1

    public SupplementaryData1 createSupplementaryData1()

Create an instance of `SupplementaryData1`

#### createSupplementaryDataEnvelope1

    public SupplementaryDataEnvelope1 createSupplementaryDataEnvelope1()

Create an instance of `SupplementaryDataEnvelope1`

#### createTaxAmount2

    public TaxAmount2 createTaxAmount2()

Create an instance of `TaxAmount2`

#### createTaxAmountAndType1

    public TaxAmountAndType1 createTaxAmountAndType1()

Create an instance of `TaxAmountAndType1`

#### createTaxAmountType1Choice

    public TaxAmountType1Choice createTaxAmountType1Choice()

Create an instance of `TaxAmountType1Choice`

#### createTaxAuthorisation1

    public TaxAuthorisation1 createTaxAuthorisation1()

Create an instance of `TaxAuthorisation1`

#### createTaxInformation7

    public TaxInformation7 createTaxInformation7()

Create an instance of `TaxInformation7`

#### createTaxInformation8

    public TaxInformation8 createTaxInformation8()

Create an instance of `TaxInformation8`

#### createTaxParty1

    public TaxParty1 createTaxParty1()

Create an instance of `TaxParty1`

#### createTaxParty2

    public TaxParty2 createTaxParty2()

Create an instance of `TaxParty2`

#### createTaxPeriod2

    public TaxPeriod2 createTaxPeriod2()

Create an instance of `TaxPeriod2`

#### createTaxRecord2

    public TaxRecord2 createTaxRecord2()

Create an instance of `TaxRecord2`

#### createTaxRecordDetails2

    public TaxRecordDetails2 createTaxRecordDetails2()

Create an instance of `TaxRecordDetails2`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`